atkmm: Atk::Relation Class Reference

atkmm 2.22.7

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Related Functions | List of all members
Atk::Relation Class Reference

An Atk::Relation describes a relation between an object and one or more other objects. More...

`#include <atkmm/relation.h>`

Inheritance diagram for Atk::Relation:
[legend]

## Public Member Functions
AtkRelation* | gobj ()
| Provides access to the underlying C GObject.
const AtkRelation* | gobj () const
| Provides access to the underlying C GObject.
AtkRelation* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
RelationType | get_relation_type () const
| Gets the type of relation. More...
void | add_target (const Glib::RefPtr< Atk::Object >& target)
| Adds the specified AtkObject to the target for the relation, if it is not already present. More...

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Atk::Relation > | wrap (AtkRelation* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

An Atk::Relation describes a relation between an object and one or more other objects.

The actual relations that an object has with other objects are defined as an Atk::RelationSet, which is a set of Atk::Relations.

## Member Function Documentation

void Atk::Relation::add_target | ( | const Glib::RefPtr< Atk::Object >& | target | ) |

Adds the specified AtkObject to the target for the relation, if it is not already present.

See also Atk::Object::add_relationship().

Since atkmm 1.9:

Parameters

  target | An Atk::Object.

RelationType Atk::Relation::get_relation_type | ( |  | ) | const

Gets the type of relation.

Returns
  The type of relation.

## Friends And Related Function Documentation

Glib::RefPtr< Atk::Relation > wrap | ( | AtkRelation * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.